import java.util.Scanner; 

public class GreatestCommonDivisor {
  /** Metoa main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Prośba o wpisanie dwóch liczb całkowitych
    System.out.print("Wpisz pierwszą liczbę całkowitą: ");
    int n1 = input.nextInt();
    System.out.print("Wpisz drugą liczbę całkowitą: ");
    int n2 = input.nextInt();

    int gcd = 1;  // Początkowo gcd to 1
    int k = 2;  // Możliwy gcd
    while (k <= n1 && k <= n2) {
      if (n1 % k == 0 && n2 % k == 0)
        gcd = k;  // Aktualizowanie gcd
      k++;
    }

    System.out.println("Największy wspólny dzielnik liczb " + n1 +
      " i " + n2 + " to " + gcd);
  }
}

